
From: Hirokazu Takata <takata@linux-m32r.org>

This patch is for fixing a build error of asm-m32r/spinlock.h for
CONFIG_DEBUG_SPINLOCK.

Signed-off-by: Hirokazu Takata <takata@linux-m32r.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-m32r/spinlock.h |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff -puN include/asm-m32r/spinlock.h~m32r-fix-spinlockh-for-config_debug_spinlock include/asm-m32r/spinlock.h
--- 25/include/asm-m32r/spinlock.h~m32r-fix-spinlockh-for-config_debug_spinlock	Wed Mar 30 15:27:36 2005
+++ 25-akpm/include/asm-m32r/spinlock.h	Wed Mar 30 15:27:36 2005
@@ -102,10 +102,8 @@ static inline void _raw_spin_lock(spinlo
 	unsigned long tmp0, tmp1;
 
 #ifdef CONFIG_DEBUG_SPINLOCK
-	__label__ here;
-here:
-	if (lock->magic != SPINLOCK_MAGIC) {
-		printk("pc: %p\n", &&here);
+	if (unlikely(lock->magic != SPINLOCK_MAGIC)) {
+		printk("pc: %p\n", __builtin_return_address(0));
 		BUG();
 	}
 #endif
_
